System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Xml.XmlNamedNodeMap System.Collections.ICollection

XmlAttributeCollection extends the class by adding strongly typed helper methods. You can use this class to add, remove, or modify attributes in the collection. XmlAttributeCollection is returned by the property.

Represents a collection of attributes that can be accessed by name or index.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlAttribute ``

  If an attribute with the same name is already present in the collection, the original attribute is removed from the collection and is added to the end of the collection.

  This method is a Microsoft extension to the Document Object Model (DOM).

  Inserts the specified attribute as the last node in the collection.

  The XmlAttribute to append to the collection.

  The to insert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method is a Microsoft extension to the Document Object Model (DOM).

  Copies all the objects from this collection into the given array.

  The array that is the destination of the objects copied from this collection. The index in the array where copying begins.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlAttribute `` ``

  If an attribute with the same name is already present in the collection, the original attribute is removed from the collection and is inserted into the collection. If is null, is inserted at the beginning of the collection.

  This method is a Microsoft extension to the Document Object Model (DOM).

  Inserts the specified attribute immediately after the specified reference attribute.

  The XmlAttribute to insert into the collection.

  The to insert. The that is the reference attribute. is placed after the .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlAttribute `` ``

  If an attribute with the same name is already present in the collection, the original attribute is removed from the collection and is inserted into the collection. If is null, is inserted at the end of the collection.

  This method is a Microsoft extension to the Document Object Model (DOM).

  Inserts the specified attribute immediately before the specified reference attribute.

  The XmlAttribute to insert into the collection.

  The to insert. The that is the reference attribute. is placed before the .
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlAttribute `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlAttribute `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlAttribute `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlAttribute ``

  If an attribute with the same name is already present in the collection, the original attribute is removed from the collection and is added to the beginning of the collection.

  This method is a Microsoft extension to the Document Object Model (DOM).

  Inserts the specified attribute as the first node in the collection.

  The XmlAttribute added to the collection.

  The to insert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlAttribute ``

  This method is a Microsoft extension to the Document Object Model (DOM).

  Removes the specified attribute from the collection.

  The node removed or null if it is not found in the collection.

  The to remove.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  This method is a Microsoft extension to the Document Object Model (DOM).

  Removes all attributes from the collection.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlAttribute ``

  This method is a Microsoft extension to the Document Object Model (DOM).

  Removes the attribute corresponding to the specified index from the collection.

  Returns null if there is no attribute at the specified index.

  The index of the node to remove. The first node has index 0.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode `` To be added.

  Adds a using its property

  If the replaces an existing node with the same name, the old node is returned; otherwise, the added node is returned.

  An attribute node to store in this collection. The node will later be accessible using the name of the node. If a node with that name is already present in the collection, it is replaced by the new one; otherwise, the node is appended to the end of the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The array that is the destination of the objects copied from this collection. The index in the array where copying begins.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .